package com.tenlionsoft.aimz_k.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.io.Serializable

@Entity(tableName = "db_category")
data class MsgCategoryBean(
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
    @ColumnInfo(name = "avatar")
    var avatar: String?,
    @ColumnInfo(name = "userNickName")
    var userNickName: String?,
    @ColumnInfo(name = "messageId")
    var messageId: String?,                 //消息ID
    @ColumnInfo(name = "messageType")
    var messageType: String?,                //消息类型
    @ColumnInfo(name = "receiverId")
    var receiverId: String?,             //接受人ID
    @ColumnInfo(name = "senderId")
    var senderId: String?,               //发送人ID
    @ColumnInfo(name = "timestamp")
    var timestamp: Long?,                //时间戳
    @ColumnInfo(name = "body")
    var body: String?,                   //消息体
    @ColumnInfo(name = "msgType")
    var msgType: Int?,                   //用来在列表中判断显示
    @ColumnInfo(name = "status")
    var status: String?,                 //消息状态
    @ColumnInfo(name = "loginUserId")
    var loginUserId: String?,            //当前登录人
) : Serializable