package com.tenlionsoft.aimz_k.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "db_contact")
data class ContactBean(
    @PrimaryKey(autoGenerate = true)
    val id: Long = 0,
    @ColumnInfo(name = "avatar")
    var avatar: String?,
    @ColumnInfo(name = "contactUserId")
    var contactUserId: String?,
    @ColumnInfo(name = "userId")
    var userId: String?,
    @ColumnInfo(name = "userIdNickname")
    var userIdNickname: String?,
    @ColumnInfo(name = "note")
    var note: String?,
    @ColumnInfo(name = "contactGroupId")
    var contactGroupId: String?,
    @ColumnInfo(name = "tenantId")
    var tenantId: String?,
    @ColumnInfo(name = "creator")
    var creator: String?,
    @ColumnInfo(name = "gmtCreate")
    var gmtCreate: String?,
    @ColumnInfo(name = "modifier")
    var modifier: String?,
    @ColumnInfo(name = "gmtModified")
    var gmtModified: String?,
    @ColumnInfo(name = "deleter")
    var deleter: String?
)
