package com.tenlionsoft.aimz_k.model

//搜索出来的
data class SearchContactBean(
    val accountType: String,
    val avatar: String,
    val creator: String,
    val deleter: String,
    val deptIds: String,
    val deptNames: String,
    val email: String,
    val gmtAccountExpired: String,
    val gmtCreate: String,
    val gmtDelete: String,
    val gmtLastLogin: String,
    val gmtLocked: String,
    val gmtModified: String,
    val gmtPasswordExpired: String,
    val isAccountExpired: Int,
    val isAccountLocked: Int,
    val isEnable: Int,
    val isPasswordExpired: Int,
    val lastLoginIp: String,
    val lastLoginLat: String,
    val lastLoginLng: String,
    val lastLoginType: String,
    val modifier: String,
    val nickname: String,
    val password: String,
    val phone: String,
    val posIds: String,
    val posNames: String,
    val remarks: String,
    val roleIds: String,
    val roleNames: String,
    val tenantId: String,
    val userId: String,
    val username: String,
    var status: String
)

//我的联系人
data class SelfContactBean(
    val contactGroupId: String,
    val contactUserId: String,
    val creator: String,
    val deleter: String,
    val gmtCreate: String,
    val gmtDelete: String,
    val gmtModified: String,
    val modifier: String,
    val note: String,
    val tenantId: String,
    val userId: String,
    val userIdAvatar: String,
    val userIdEmail: String,
    val userIdNickname: String,
    val userIdPhone: String,
    val userIdUsername: String
)

data class Order(
    val asc: Boolean, val column: String
)

data class Page(
    val current: Int, val size: Int
)

data class PageListBean<T>(
    val code: Int,
    val datas: List<T>,
    val current: Int,
    val total: Int
)

data class AddContactBean(
    val userId: String,
    var applyContent: String? = ""
)


data class ApplyContactBean(
    val applyContent: String,
    val contactUserApplyId: String,
    val creator: String,
    val creatorAvatar: String,
    val creatorNickname: String,
    val deleter: String,
    val gmtCreate: String,
    val gmtDelete: String,
    val gmtModified: String,
    val modifier: String,
    var status: String,
    val tenantId: String,
    val userId: String,
    val userIdAvatar: Any,
    val userIdNickname: String
)

